Mailinglist Archive: opensuse-updates (180 mails)

< Previous Next >
openSUSE-SU-2017:0006-1: moderate: Security update for gd
openSUSE Security Update: Security update for gd
______________________________________________________________________________

Announcement ID: openSUSE-SU-2017:0006-1
Rating: moderate
References: #1015187
Cross-References: CVE-2016-9933
Affected Products:
openSUSE Leap 42.2
openSUSE Leap 42.1
______________________________________________________________________________

An update that fixes one vulnerability is now available.

Description:

This update for gd fixes the following issues:

* CVE-2016-9933 possible stackoverflow on malicious truecolor images
[bsc#1015187]

This update was imported from the SUSE:SLE-12:Update update project.


Patch Instructions:

To install this openSUSE Security Update use YaST online_update.
Alternatively you can run the command listed for your product:

- openSUSE Leap 42.2:

zypper in -t patch openSUSE-2017-3=1

- openSUSE Leap 42.1:

zypper in -t patch openSUSE-2017-3=1

To bring your system up-to-date, use "zypper patch".


Package List:

- openSUSE Leap 42.2 (i586 x86_64):

gd-2.1.0-13.1
gd-debuginfo-2.1.0-13.1
gd-debugsource-2.1.0-13.1
gd-devel-2.1.0-13.1

- openSUSE Leap 42.2 (x86_64):

gd-32bit-2.1.0-13.1
gd-debuginfo-32bit-2.1.0-13.1

- openSUSE Leap 42.1 (i586 x86_64):

gd-2.1.0-16.1
gd-debuginfo-2.1.0-16.1
gd-debugsource-2.1.0-16.1
gd-devel-2.1.0-16.1

- openSUSE Leap 42.1 (x86_64):

gd-32bit-2.1.0-16.1
gd-debuginfo-32bit-2.1.0-16.1


References:

https://www.suse.com/security/cve/CVE-2016-9933.html
https://bugzilla.suse.com/1015187


< Previous Next >
This Thread
  • No further messages